Web Apps - Deploy Workflow Artifacts
Description for Creates the artifacts for web site, or a deployment slot.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/deployWorkflowArtifacts?api-version=2026-08-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
name
|
path | True |
string |
Name of the app. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| appSettings |
management.azure.com.appservice.webapps.deployworkflowartifacts |
Application settings of the workflow. |
| files |
management.azure.com.appservice.webapps.deployworkflowartifacts |
Files of the app. |
| filesToDelete |
string[] |
Files of the app to delete. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Definitions
| Name | Description |
|---|---|
|
Default |
App Service error response. |
|
Default |
Error model. |
|
Default |
Detailed errors. |
|
Workflow |
The workflow filter. |
DefaultErrorResponse
App Service error response.
| Name | Type | Description |
|---|---|---|
| error |
Error model. |
DefaultErrorResponseError
Error model.
| Name | Type | Description |
|---|---|---|
| code |
string |
Standardized string to programmatically identify the error. |
| details |
Detailed errors. |
|
| innererror |
string |
More information to debug error. |
| message |
string |
Detailed error description and debugging information. |
| target |
string |
Detailed error description and debugging information. |
DefaultErrorResponseErrorDetailsItem
Detailed errors.
| Name | Type | Description |
|---|---|---|
| code |
string |
Standardized string to programmatically identify the error. |
| message |
string |
Detailed error description and debugging information. |
| target |
string |
Detailed error description and debugging information. |
WorkflowArtifacts
The workflow filter.
| Name | Type | Description |
|---|---|---|
| appSettings |
management.azure.com.appservice.webapps.deployworkflowartifacts |
Application settings of the workflow. |
| files |
management.azure.com.appservice.webapps.deployworkflowartifacts |
Files of the app. |
| filesToDelete |
string[] |
Files of the app to delete. |